Get conversation
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/playground-conversations/{conversation_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/playground-conversations/{conversation_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/playground-conversations/{conversation_id}/ \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_history": [
{
"role": "user",
"content": "<string>",
"type": "message",
"query_id": 123,
"timestamp": "2023-11-07T05:31:56Z",
"tool_type": "<string>",
"input_parameters": {},
"results": [
"<unknown>"
]
}
],
"agent_settings": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_settings_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"is_shared": true,
"is_archived": true,
"archived_at": "2023-11-07T05:31:56Z"
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Conversations
Get conversation
Retrieve a conversation with its complete chat history.
GET
/
projects
/
{project_id}
/
playground-conversations
/
{conversation_id}
/
Get conversation
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/playground-conversations/{conversation_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/playground-conversations/{conversation_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/playground-conversations/{conversation_id}/ \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_history": [
{
"role": "user",
"content": "<string>",
"type": "message",
"query_id": 123,
"timestamp": "2023-11-07T05:31:56Z",
"tool_type": "<string>",
"input_parameters": {},
"results": [
"<unknown>"
]
}
],
"agent_settings": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_settings_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"is_shared": true,
"is_archived": true,
"archived_at": "2023-11-07T05:31:56Z"
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer
Path Parameters
UUID of the project
UUID of the conversation
Response
Successful response
A conversation with its complete chat history.
Show child attributes
Show child attributes